Skip to main content
GET
/
milestones
Get Milestones
curl --request GET \
  --url https://api.elections.kalshi.com/trade-api/v2/milestones
{
  "milestones": [
    {
      "id": "<string>",
      "category": "Sports",
      "type": "football_game",
      "start_date": "2023-11-07T05:31:56Z",
      "related_event_tickers": [
        "<string>"
      ],
      "title": "<string>",
      "notification_message": "<string>",
      "details": {},
      "primary_event_tickers": [
        "<string>"
      ],
      "last_updated_ts": "2023-11-07T05:31:56Z",
      "end_date": "2023-11-07T05:31:56Z",
      "source_id": "<string>",
      "source_ids": {}
    }
  ],
  "cursor": "<string>"
}

Query Parameters

limit
integer
required

Number of milestones to return per page

Required range: 1 <= x <= 500
minimum_start_date
string<date-time>

Minimum start date to filter milestones. Format RFC3339 timestamp

category
string

Filter by milestone category. E.g. Sports, Elections, Esports, Crypto.

Example:

"Sports"

competition
string

Filter by competition. E.g. Pro Football, Pro Basketball (M), Pro Baseball, Pro Hockey, College Football.

Example:

"Pro Football"

source_id
string

Filter by source id

type
string

Filter by milestone type. E.g. football_game, basketball_game, soccer_tournament_multi_leg, baseball_game, hockey_match, political_race.

Example:

"football_game"

Filter by related event ticker

cursor
string

Pagination cursor. Use the cursor value returned from the previous response to get the next page of results

min_updated_ts
integer<int64>

Filter milestones with metadata updated after this Unix timestamp (in seconds). Use this to efficiently poll for changes.

Response

Milestones retrieved successfully

milestones
object[]
required

List of milestones.

cursor
string

Cursor for pagination.